from Airports import Airports
from FlightNotValidException import FlightNotValidException

class Flight:
    """Class that represents a civil flight"""
    def __init__(self, departureAirport, destinationAirport):
        self.airports = Airports()
        if  self.airports.checkAirport(departureAirport)==False:       
            raise FlightNotValidException("Departure airport not valid: " + departureAirport)
        elif self.airports.checkAirport(destinationAirport)==False:  
            raise FlightNotValidException("Destination airport not valid: " + destinationAirport)
        else:
            self.departureAirport = departureAirport
            self.destinationAirport = destinationAirport

    def getDepartureAirport(self):
        return self.departureAirport
    
    def getDestinationAirport(self):
        return self.destinationAirport
    
    def getNumOfLegs(self):
        pass
    
    def getTimeFlightInMinutes(self):
        pass

    def toString(self):
        return "Departure Airport: "+self.departureAirport+", Destination Airport: "+self.destinationAirport